Subject: Re: [OAUTH-WG] I-D Action: draft-ietf-oauth-v2-26.txt

From: Phil Harvey <[email-masked]>
Date: Wed, 2 May 2012 15:23:51 +0000

Hello,

I noticed draft 26 was published and found a few typos while reading the diff against draft 25:

1) Where the word SHALL was inserted into the paragraph under "2. Client Registration", I noticed that the first word of each bullet point in the list that follows it needs to be altered to flow properly:

When registering a client, the client developer SHALL:

   o  specifies the client type as described in Section 2.1,
   o  provides its client redirection URIs as described in
      Section 3.1.2, and
   o  includes any other information required by the authorization
      server (e.g. application name, website, description, logo image,
      the acceptance of legal terms).

To read like this:

When registering a client, the client developer SHALL:

   o  specify the client type as described in Section 2.1,
   o  provide its client redirection URIs as described in
      Section 3.1.2, and
   o  include any other information required by the authorization
      server (e.g. application name, website, description, logo image,
      the acceptance of legal terms).

2) under "10.3 Access Tokens" (delineated by brackets):

This specification does not provide any methods for the resource
server to ensure that an access token presented to it by a given	
client, was issued to [the that] client by the authorization server.

Which was probably intended to read like this?:

This specification does not provide any methods for the resource
server to ensure that an access token presented to it by a given	
client, was issued to that client by the authorization server.

3) under both "11.1 The OAuth Access Token Type Registry" and "11.2 The OAuth Parameters Registry", there are two instances where it says "two weeks" when it should say "two week" in a sentence like this:

"...after a two weeks review period..."

Hope that helps,

Phil Harvey
eBiz Web Developer
The Lampo Group, Inc.
http://www.daveramsey.com

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, May 01, 2012 2:13 AM
To: [email-masked]
Cc: [email-masked]
Subject: [OAUTH-WG] I-D Action: draft-ietf-oauth-v2-26.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Web Authorization Protocol Working Group of the IETF.

	Title           : The OAuth 2.0 Authorization Framework
	Author(s)       : Eran Hammer
                          David Recordon
                          Dick Hardt
	Filename        : draft-ietf-oauth-v2-26.txt
	Pages           : 66
	Date            : 2012-05-01

   The OAuth 2.0 authorization framework enables a third-party
   application to obtain limited access to an HTTP service, either on
   behalf of a resource owner by orchestrating an approval interaction
   between the resource owner and the HTTP service, or by allowing the
   third-party application to obtain access on its own behalf.  This
   specification replaces and obsoletes the OAuth 1.0 protocol described
   in RFC 5849.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-oauth-v2-26.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-oauth-v2-26.txt

The IETF datatracker page for this Internet-Draft is:
https://datatracker.ietf.org/doc/draft-ietf-oauth-v2/

---

From: Eran Hammer <[email-masked]>
Date: Wed, 2 May 2012 17:19:08 +0000

Thanks Phil.

These will be corrected in -27 (if we publish one to close IESG issues) or during AUTH48.

EH

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Phil Harvey
> Sent: Wednesday, May 02, 2012 8:24 AM
> To: [email-masked]
> Subject: Re: [OAUTH-WG] I-D Action: draft-ietf-oauth-v2-26.txt
> 
> Hello,
> 
> 1) Where the word SHALL was inserted into the paragraph under "2. Client
> Registration", I noticed that the first word of each bullet point in the list that
> follows it needs to be altered to flow properly:
> 
> 3) under both "11.1 The OAuth Access Token Type Registry" and "11.2 The
> OAuth Parameters Registry", there are two instances where it says "two
> weeks" when it should say "two week" in a sentence like this:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Web Authorization Protocol Working Group of
> the IETF.
> 
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth